MathJax = {
  tex: {
    inlineMath: [['$', '$'], ['\\(', '\\)']]
  },
  options: {
    processHtmlClass: 'mjrender'
  }
}

const mailer = what => {
  var out = "";
  console.log(out);
  var i = 0;
  what.split(",").forEach(function (ch) {
    if (i % 2 == 1) {
      out += ch;
    }
    i++;
  })
  console.log(out);
  return out;
}

function formatTime(input) {
  var hours = input.getHours();
  var minutes = input.getMinutes();
  if (minutes < 10) {
    minutes = "0" + minutes;
  }
  if (hours < 10) {
    hours = "0" + hours;
  }
  var utc = input.getTimezoneOffset() / 60;
  console.log(utc);
  var sign = "+";
  if (utc < 0) {
    sign = "";
  }
  return "" + hours + ":" + minutes + " in Paris (UTC" + sign + utc + ")";
}

function updateTime() {
  var elem = document.getElementById("time-display");
  elem.textContent = formatTime(new Date());
}

function same_origin(left, right) {
  const a = new URL(left);
  const b = new URL(right);
  return a.origin === b.origin;
}

function treatLinks() {
  const links = document.querySelectorAll("a");
  links.forEach(function (link) {
    if (link.href === "#") {
      return;
    }
    if (location.hostname === "localhost" || location.hostname === "127.0.0.1") {
      if (!link.href.endsWith("/") && same_origin(link.href, document.location.href) && !link.href.includes("?") && !link.href.includes("/admin") && !link.href.includes("api/") && !link.href.includes("trips/") && !link.href.endsWith(".html")) {
        link.href += ".html";
      }
    }
    if (same_origin(link.href, document.location.href)) {
      link.classList.add("internal");
    } else {
      link.classList.add("external");
      link.target = "_blank";
    }
  })
}

function convertTimes() {
  const time_elements = document.querySelectorAll("#time-element");
  time_elements.forEach(function (time) {
    var utcTime = time.textContent;
    console.log(utcTime);
    var localTime = new Date(utcTime);
    time.textContent = formatTime(localTime);
  });
}

function treatMails() {
  console.log("tmc");
  const mails = document.querySelectorAll(".email");
  mails.forEach(function (mail) {
    var dec = mailer(mail.href);
    mail.href = dec;
  })
}

window.onload = function () {
  treatLinks();
  convertTimes();
  treatMails();
};
